Get Candidates Assigned to a Job
Get Candidates Assigned to a Job
Get the candidates assigned to a job. You can filter the results by talent stage.
Request
Send your access token in the Authorization: Bearer your_access_token header.
| Parameter | Location | Type | Description |
|---|---|---|---|
slug | Path | string | Job slug. |
talent_stage_id | Query | positive integer | Filter by talent stage. |
page | Query | positive integer | Page number; defaults to 1. |
limit | Query | positive integer | Items per page; defaults to 25 and is capped at 50. |
GET /v1/job/job_7c9e1a42b5d680f3e2a4/candidates?talent_stage_id=2&page=1&limit=25
Response
200
Candidates and their assignment details.
400
Invalid job, talent stage, or query parameter.
401
Unauthorized.
Response Example
{
"total": 1,
"per_page": 25,
"current_page": 1,
"last_page": 1,
"next_page_url": null,
"prev_page_url": null,
"from": 1,
"to": 1,
"data": [
{
"id": 84,
"candidate": {
"id": 864,
"first_name": "Maya",
"last_name": "Chen",
"slug": "candidate_8f4c2a9d1e6b3f507c12",
"full_name": "Maya Chen",
"email": "maya.chen@example.com",
"phone": "+1-555-0109",
"resume": null,
"profile_picture": null,
"education_specialization": "Computer Science",
"university": "North Valley University",
"current_position": "Data Analyst",
"current_organization": "ExampleWorks",
"last_organization": "Sample Labs",
"willing_to_relocate": 1,
"available_from": "2026-10-15",
"date_of_birth": "1994-04-08",
"tags": "analytics,sql",
"skill": "SQL, Python",
"experience": 6,
"graduation_date": "2016-06-30",
"current_salary": 90000,
"expected_salary": 105000,
"notice_period": 30,
"salary_type": 1,
"description": "Data analyst experienced in reporting and forecasting.",
"source": "Referral",
"nationality": "Canadian",
"address": "123 Example Avenue",
"language": "English",
"city": "Toronto",
"state": "Ontario",
"country": "Canada",
"industry": {"id": 4},
"gender": {"id": 2, "label": "Female"},
"owner": {"id": 17},
"currency": {"id": 2},
"qualification": {"id": 3},
"socials": {
"linkedin": "",
"xing": ""
},
"created_at": "2026-08-10T09:00:00.000Z",
"updated_at": "2026-08-12T14:30:00.000Z",
"created_by": {"id": 17},
"updated_by": {"id": 17},
"custom_fields": [
{
"id": 1,
"field_name": "Portfolio",
"field_type": "text",
"value": "https://example.com/portfolio"
}
]
},
"job": {"slug": "job_7c9e1a42b5d680f3e2a4"},
"status": {"id": 2, "name": "Screening"},
"remark": "Moved to screening",
"stage_date": "2026-08-12",
"visibility": 1,
"updated_at": "2026-08-12T14:30:00.000Z",
"updated_by": {"id": 17}
}
]
}